%define pkgname racc
Summary:	Ruby yACC
Summary(pl.UTF-8):	yACC dla języka Ruby
Name:		ruby-%{pkgname}
Version:	1.4.6
Release:	10
License:	GPL
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	c61adac8cd59877e6abe37f5fc12e9a5
URL:		http://i.loveruby.net/en/racc.html
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
BuildRequires:	setup.rb >= 3.4.1-6
Provides:	ruby-Racc
Obsoletes:	ruby-Racc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RACC is a Ruby clone of YACC, to generate LALR(1) parsers in Ruby.

%description -l pl.UTF-8
RACC to klon YACC-a dla języka Ruby, służący do generowania
analizatorów LALR(1) w Rubym.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

cp %{_datadir}/setup.rb .

%build
ruby setup.rb config \
	--site-ruby=%{ruby_vendorlibdir} \
	--so-dir=%{ruby_vendorarchdir}

ruby setup.rb setup

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Array,Object,String}
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_ridir},%{ruby_rdocdir}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/racc
%attr(755,root,root) %{_bindir}/racc2y
%attr(755,root,root) %{_bindir}/y2racc
%dir %{ruby_vendorarchdir}/racc
%attr(755,root,root) %{ruby_vendorarchdir}/racc/cparse.so
%{ruby_vendorlibdir}/racc.rb
%{ruby_vendorlibdir}/racc

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Racc
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-racc.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 47ee98b
- release 10 (by relup.sh)

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> 02a7c5f
- rebuild with ruby 2.4
- release 9 (by relup.sh)

* Sat Oct 28 2017 Elan Ruusamäe <glen@delfi.ee> 87e2e67
- rebuild with fixed ruby ridir path
- release 8 (by relup.sh)

* Thu Oct 26 2017 Elan Ruusamäe <glen@pld-linux.org> 875631c
- use updated setup.rb for ruby 2.3

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 47b4747
- rebuild with ruby 2.3
- release 6 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 85a45ef
- ruby 2.1 rebuild
- release 5 (by relup.sh)

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> db23840
- noarch rdoc and ri subpackages

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> c6bbe56
- rebuild for ruby 2.0
- release 3 (by relup.sh)

* Thu Dec 19 2013 Elan Ruusamäe <glen@delfi.ee> 67153c8
- install to vendor dir

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 1feb521
- updated build
- added rdoc and ri packages

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 155b259
- 1.4.6

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 8289786
- rel 2

* Sun Feb 28 2010 sparky <sparky@pld-linux.org> c8d38e2
- BR: ruby-devel

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 78cb82e
- P:ruby-Racc

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 5f3a831
- renamed ruby-Racc -> ruby-racc

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7171ee3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fc5186e
- converted to UTF-8

* Sun Dec 17 2006 aredridel <aredridel@pld-linux.org> a8cda3f
- 1.4.5

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> 71abdb2
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 99f0c34
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

